> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/density.md).

# Density

Haut.AI provides an AI algorithm that estimates the level of hair density.

## **Description**

The algorithm estimates how dense the hair is. Hair density is mostly determined by genetics (the number and the size of hair follicles) and the overall hair type. Usually, darker hair is more dense than lighter hair. Decreased hair density may be caused by hair loss or hair damage due to excessive styling and coloring but can also indicate the presence of medical conditions, ranging from fungus infections to autoimmune diseases. In cases of severe hair loss, it is advised to seek the help of a professional.

**`"algorithm_tech_name": "`**`density`**`"`**

## `area_name`

The algorithm returns metrics for the following area:

* `hair`

## `main_metric`

The main metric is an overall score indicating the density score for `area_name`

```javascript
"main_metric": {
                "value": "High Density",
                "widget_type": "category",
                "name": "Density",
                "tech_name": "density",
                "widget_meta": null
            },
```

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MWxBX_zB4FnflOpyBGO%2Fuploads%2F9bFonOoH51tNFtjGxTnx%2Fimage.png?alt=media\&token=15e3aa63-d7a7-484b-bf9c-ce18d7db0135)

* **`value`** The hair density is divided into three classes, as listed below:
  * `"Low Density"`
  * `"Average Density"`
  * `"High Density"`
* `"widget_type": "category"`
* `"name": "Density"`
* `"tech_name": "density"`

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/density.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
